#ifndef AVALANCHE_GENERIC_SETUP_H
#define AVALANCHE_GENERIC_SETUP_H

int avalanche_proc_init(void);
void avalanche_proc_entries(void);
int do_print_developers(char *buf, char **start, off_t offset, int count, int *eof, void *data);
static int avalanche_p_read_base_psp_version(char* buf, char **start, off_t offset,
                                             int count, int *eof, void *data);
#if !defined (CONFIG_MIPS_AVALANCHE_ADAM2_JMP_TBL) && !defined (CONFIG_MIPS_AVALANCHE_TICFG)
static int avalanche_p_proc_env_read(char *page, char **start, off_t pos, int count,
                                     int *eof, void *data);
static int avalanche_p_proc_env_write(struct file *file, const char *buffer,
                                      unsigned long count, void *data);
#endif

#endif
